Retry the install-dependencies step
curl --request POST \
--url https://api.factory.ai/api/v0/computers/{computerId}/install-deps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.factory.ai/api/v0/computers/{computerId}/install-deps"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.factory.ai/api/v0/computers/{computerId}/install-deps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"createdAt": 123,
"hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hostname": "<string>",
"provisioningSteps": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"error": "<string>",
"startedAt": 123,
"completedAt": 123,
"installSessionId": "<string>"
}
],
"relayClientUrl": "<string>",
"relayAgentUrl": "<string>",
"remoteUser": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}Computers
Retry the install-dependencies step
Resets the install-deps provisioning step to Running and spawns a fresh install session. No-op (409) if a session is already running.
POST
/
api
/
v0
/
computers
/
{computerId}
/
install-deps
Retry the install-dependencies step
Authorizations
Factory API key or JWT token for authentication
Path Parameters
Computer ID
Response
Response for status 202
Available options:
byom, e2b Available options:
provisioning, active, error Show child attributes
Show child attributes
⌘I
